// function to get the email and password input values and register an account using Google Firebase Authentication.
function register()
{
	var email = document.getElementById("email").value; // gets the value in the email text input
	var password = document.getElementById("passWord").value;
	
	firebase.auth().createUserWithEmailAndPassword(email, password).catch(function(error) { //calling the create new user function on firebase with the input values and parameters.
	// Handle Errors here.
	var errorCode = error.code;
	var errorMessage = error.message;
	
	window.alert("Error: " + error.message); // if the creation fails an error will pop up relating to the issue eg. password is too short
	});
};
// function to log the user in with the provide email and password.	
function logIn()
{
	var email = document.getElementById("email").value;
	var password = document.getElementById("passWord").value;
	firebase.auth().signInWithEmailAndPassword(email, password).catch(function(error) //calling the signing user function on firebase with the input values and parameters.
	{
    // Handle Errors here.
    var errorCode = error.code;
    var errorMessage = error.message;
	
	window.alert("Error: " + error.message); // if the signin fails an error will pop up relating to the issue eg. email and password do not match.
    
	});
};
// function to update the databse with a section under the currentuser uid 
function updateDbUser(userEmail)
{
	var database = firebase.database();
	var data = { // creating an object to contain the profile information of the account.
		Profile:{
			Email:userEmail,
			Name:"Anon"
			}
	}
	database.ref('Users/' + currentUser.uid ).update(data); // updates the database with the object created above.
};


var currentUser; // global varible called currentUser
	
	firebase.auth().onAuthStateChanged(function(user) // a firebase function to register when there is a change in the current user on the firebase authentication.
	{
	if (user) {
	  // User is signed in.
	  currentUser = firebase.auth().currentUser; // sets the global currentUser varible to the current firebath auth() user.
	  location.href="MealPlanner.html"; // changes the page to the meal planner.
	  updateDbUser(document.getElementById("email").value); //calls the updateDBUser function to create a profile section for new users and updates it is they are already registed.
	} else {
	  // No user is signed in.
	  document.getElementById("login").style.display = "block"; // makes the Login div visible
	  document.getElementById("loading").style.display= "none"; // hides the loading gif once the application is connected to firebase and sees noone is loged in.
	}
	});